﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.IO;
using System.Net.Mail;
using DTG.Spreadsheet;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void Button1_Click(object sender, EventArgs e)
    {
        // While trying to upload one or more files via HTTP a file uploading size limit that is set too low.
        // The most accessible way to change this limit is through the web.config configuration file.
        // Add the following line in the <system.web> tags: <httpRuntime maxRequestLength="102400" />.
        // This will increase the file upload size through HTTP to 100MB.

        if (FileUpload1.PostedFile != null && FileUpload1.PostedFile.ContentLength > 0)
        {
            ExcelWorkbook wb = null;
            string ext = Path.GetExtension(FileUpload1.PostedFile.FileName);

            switch (ext.ToLower())
            {
                case ".xlsx": wb = ExcelWorkbook.ReadXLSX(FileUpload1.PostedFile.InputStream); break;
                case ".xls": wb = ExcelWorkbook.ReadXLS(FileUpload1.PostedFile.InputStream); break;
                case ".csv": wb = ExcelWorkbook.ReadCSV(FileUpload1.PostedFile.InputStream); break;
            }

            int WorksheetNumber = VerifyWorksheetNumber(wb);
            ExcelWorksheet wsheet = wb.Worksheets[WorksheetNumber];

            GridView1.DataSource = wsheet.WriteToDataTable();
            GridView1.DataBind();
        }
    }

    /// <summary>
    /// Check if user type incorrect worksheet number.
    /// </summary>
    private int VerifyWorksheetNumber(ExcelWorkbook wb)
    {
        int WorksheetsCount = wb.Worksheets.Count;
        try
        {
            int v = int.Parse(TextBox1.Text);
            if (v < 0) return 0;
            if (v > WorksheetsCount - 1) return WorksheetsCount - 1;
        }
        catch { return 0; }
        return int.Parse(TextBox1.Text);
    }
}