﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Spreadsheet;
using System.IO;

namespace ExportDataTable
{
    public partial class Form1 : Form
    {
        AboutBox1 AboutBox;

        public Form1()
        {
            InitializeComponent();
        }

        public void Form1_Load(object sender, EventArgs e)
        {
            tabControl1.Visible = false;
            AboutBox = new AboutBox1();
        }

        private void Form1_Shown(object sender, EventArgs e)
        {
            cmdLoad_Click(sender, e);
        }

        private void cmdLoad_Click(object sender, EventArgs e)
        {
            openFileDialog1.Filter = "Excel files (*.xls,*.xlsx,*.csv)|*.xls;*.xlsx;*.csv;|Text (*.txt)|*.txt;|All files (*.*)|*.*";
            
            // Open Excel file
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                // TODO: If using Excel Reader .NET Full Version, put YOUR-LICENSE-CODE below.
                // Otherwise, if you are using Excel Reader .NET Trial, comment out the following line
                // (Free version doesn't have LicenseCode method). 
                // DTG.Spreadsheet.ExcelWorkbook.SetLicenseCode("YOUR-LICENSE-CODE");

                ExcelWorkbook Wbook;

                string FileName = openFileDialog1.FileName;
                string Extension = Path.GetExtension(FileName);
                switch (Extension.ToLower())
                {
                    case ".xlsx":
                        {
                            Wbook = ExcelWorkbook.ReadXLSX(FileName);
                            break;
                        }
                    case ".xls":
                        {
                            Wbook = ExcelWorkbook.ReadXLS(FileName);
                            break;
                        }
                    case ".csv":
                        {
                            Wbook = ExcelWorkbook.ReadCSV(FileName);
                            break;
                        }
                    case ".txt":
                        {
                            Wbook = ExcelWorkbook.ReadCSV(FileName, ',', Encoding.Default);
                            break;
                        }
                    default:
                        {
                            Wbook = ExcelWorkbook.ReadXLS(FileName);
                            break;
                        }
                }

                // Show the first sheet of Excel file
                dataGridView1.DataSource = Wbook.Worksheets[0].WriteToDataTable();
                tabControl1.TabPages[0].Text = Wbook.Worksheets[0].Name;
                tabControl1.Visible = true;
            }
        }

        private void cmdExit_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void cmdAbout_Click(object sender, EventArgs e)
        {
            if (!AboutBox.Visible)
            {
                AboutBox.ShowDialog();
            }
        }

    }
}
